Index: branches/powerups/src/defs/class_id.h
===================================================================
--- branches/powerups/src/defs/class_id.h	(revision 5871)
+++ branches/powerups/src/defs/class_id.h	(revision 5955)
@@ -57,5 +57,5 @@
   // superclasses
   CL_MASK_SUPER_CLASS           =    0xff000000,
-  CL_BASE_OBJECT                =    0xff000000,
+  CL_BASE_OBJECT                =    0x00000000,
 
   CL_PARENT_NODE                =    0x01000000,
@@ -69,22 +69,30 @@
   CL_ELEMENT_2D                 =    0x10000000,
 
-  CL_SYNCHRONIZEABLE             =    0x20000000,
+  CL_SYNCHRONIZEABLE            =    0x20000000,
 
   CL_WORLD_ENTITY               =    0x40000000,
 
-
+  // subsuper-classes derivations taken : 1, 2, 5, a, b, c.     << THIS IS A LIST OF ALL THE DCL_MASK_SUBSUPERCLASS_ID's taken
 
   // subsuper-classes
   CL_MASK_SUBSUPER_CLASS        =    0x00fff000,
-  CL_MASK_SUBSUPER_CLASS_ID     =    0x00f00000,
-  CL_MASK_SUBSUPER_CLASS_ID2    =    0x000ff000,
-  CL_PLAYER                     =    0x00101000,
-  CL_NPC                        =    0x00102000,
-  CL_POWER_UP                   =    0x00104000,
-  CL_FIELD                      =    0x00108000,
-  CL_PROJECTILE                 =    0x00110000,
-  CL_WEAPON                     =    0x00120000,
+  CL_MASK_SUBSUPER_CLASS_IDA    =    0x00f00000,
+  CL_MASK_SUBSUPER_CLASS_IDB    =    0x000ff000,
+  // SUPER-PNodes
+  CL_FIELD                      =    0x00101000,
+  // SUPER-WorldEntities
+  CL_PLAYABLE                   =    0x00201000,
+  CL_PLAYER                     =    0x00202000,
+  CL_NPC                        =    0x00204000,
+  CL_PROJECTILE                 =    0x00208000,
+  CL_WEAPON                     =    0x00210000,
+  CL_POWER_UP                   =    0x00220000,
   CL_EXTENDABLE                 =    0x00140000,
-  // subsuper-classes derivations taken : 1, 5, a, b, c.     << THIS IS A LIST OF ALL THE DCL_MASK_SUBSUPERCLASS_ID's taken
+  // SUPER-Modeling
+  CL_TEXTURE                    =    0x00c01000,
+  CL_MODEL                      =    0x00c02000,
+
+
+  // subsuper-classes derivations taken : 1, 2, 5, a, b, c.     << THIS IS A LIST OF ALL THE DCL_MASK_SUBSUPERCLASS_ID's taken
 
   // lowest level classes
@@ -121,4 +129,5 @@
 
 
+
   // StoryEntities (range from 0x00000100 to 0x000001ff)
   CL_CAMPAIGN                   =    0x00000101,
@@ -136,4 +145,5 @@
   CL_TERRAIN                    =    0x00000207,
   CL_TEST_ENTITY                =    0x00000209,
+  CL_SPACE_SHIP                 =    0x0000020a,
 
   CL_TURRET_POWER_UP            =    0x00000211,
@@ -178,15 +188,16 @@
 
   // graphical stuff (range from 0x00000800 to 0x000009ff)
-  CL_TEXTURE                    =    0x00c01000,
+  CL_FONT                       =    0x00c02802,
+
+
   CL_TEXT                       =    0x00b01801,
-  CL_FONT                       =    0x00c02802,
   CL_MATERIAL                   =    0x00000804,
-  CL_MODEL                      =    0x00000805, //!< @todo make this a SUBCLASS maybe
-  CL_OBJMODEL                   =    0x00000806,
-  CL_PROMITIVE_MODEL            =    0x00000807,
-  CL_MD2Model                   =    0x00000808,
-  CL_LIGHT                      =    0x00000809,
-  CL_PARTICLE_EMITTER           =    0x0000080a,
-  CL_PARTICLE_SYSTEM            =    0x0000080b,
+  CL_TEXTURE_SEQUENCE           =    0x00c04805,
+  CL_OBJMODEL                   =    0x00000807,
+  CL_PROMITIVE_MODEL            =    0x00000808,
+  CL_MD2Model                   =    0x00000809,
+  CL_LIGHT                      =    0x0000080a,
+  CL_PARTICLE_EMITTER           =    0x0000080b,
+  CL_PARTICLE_SYSTEM            =    0x0000080c,
   CL_ENVIRONMENT                =    0x00000810,
   CL_SHADER                     =    0x00000811,
Index: branches/powerups/src/defs/debug.h
===================================================================
--- branches/powerups/src/defs/debug.h	(revision 5871)
+++ branches/powerups/src/defs/debug.h	(revision 5955)
@@ -27,5 +27,7 @@
 
 #include "confincl.h"
-#include "shell_buffer.h"
+#ifndef NO_SHELL
+ #include "shell_buffer.h"
+#endif /* NO_SHELL */
 
 #include <stdio.h>
@@ -78,4 +80,5 @@
   #define DEBUG_MODULE_SPATIAL_SEPARATION    2
   #define DEBUG_MODULE_GUI                   2
+  #define DEBUG_MODULE_SOUND                 2
 
   // MISC
